[buildout]
show-picked-versions = true
extends = pinned.cfg

package = kabot

develop = 
    kabot
    mr-dev/discord
    mr-dev/giphy

parts +=
    kabot
    doc

extensions = mr.developer
sources-dir = mr-dev
auto-checkout = 
    discord
    giphy

[kabot]
recipe = zc.recipe.egg
eggs =
    ${buildout:package}
    cookiecutter
    discord.py
    PyNaCl
    requests
    giphy_client
    python-gitlab

interpreter = python

[doc]
recipe = zc.recipe.egg
eggs =
    ${buildout:package}

[sources]
discord = git https://github.com/Rapptz/discord.py.git
giphy = git https://github.com/Giphy/giphy-python-client.git

[logging]
logger_root_level = DEBUG
